<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_obj_desc_array_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_obj_desc_array_t Struct Reference<br/>
<small>
[<a class="el" href="group__group__tivx__obj__desc.html">Object Descriptor APIs</a>]</small>
</h1><!-- doxytag: class="tivx_obj_desc_array_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>array object descriptor as placed in shared memory </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__array__t.html#ac34a1b93372458887c746f32e24c6903">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">base object descriptor  <a href="#ac34a1b93372458887c746f32e24c6903"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__array__t.html#a09e8729e0d2cb1225e1b189b90afa6e9">item_type</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The source width.  <a href="#a09e8729e0d2cb1225e1b189b90afa6e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__array__t.html#a5f5be8c6c9e3f2b32f0509997848aa6d">item_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Size of the array item.  <a href="#a5f5be8c6c9e3f2b32f0509997848aa6d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__array__t.html#a45cce059f24e4d0d25106ff320c496c5">num_items</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">number of valid items in array  <a href="#a45cce059f24e4d0d25106ff320c496c5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__array__t.html#a99f172ab949e0d5ecc2829efc60d7942">capacity</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Max size of the array.  <a href="#a99f172ab949e0d5ecc2829efc60d7942"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint32_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__array__t.html#a10cd791f609de1803bc2acb669880bfe">mem_size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">size of buffer pointed to by mem_ptr  <a href="#a10cd791f609de1803bc2acb669880bfe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__obj__desc__array__t.html#a45d5d522c10966b8263517901258b438">mem_ptr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">matrix memory address  <a href="#a45d5d522c10966b8263517901258b438"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ac34a1b93372458887c746f32e24c6903"></a><!-- doxytag: member="tivx_obj_desc_array_t::base" ref="ac34a1b93372458887c746f32e24c6903" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__obj__desc__t.html">tivx_obj_desc_t</a> <a class="el" href="structtivx__obj__desc__array__t.html#ac34a1b93372458887c746f32e24c6903">tivx_obj_desc_array_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>base object descriptor </p>

</div>
</div>
<a class="anchor" id="a09e8729e0d2cb1225e1b189b90afa6e9"></a><!-- doxytag: member="tivx_obj_desc_array_t::item_type" ref="a09e8729e0d2cb1225e1b189b90afa6e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__obj__desc__array__t.html#a09e8729e0d2cb1225e1b189b90afa6e9">tivx_obj_desc_array_t::item_type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The source width. </p>
<p>The item type of the lut. </p>

</div>
</div>
<a class="anchor" id="a5f5be8c6c9e3f2b32f0509997848aa6d"></a><!-- doxytag: member="tivx_obj_desc_array_t::item_size" ref="a5f5be8c6c9e3f2b32f0509997848aa6d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__array__t.html#a5f5be8c6c9e3f2b32f0509997848aa6d">tivx_obj_desc_array_t::item_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Size of the array item. </p>

</div>
</div>
<a class="anchor" id="a45cce059f24e4d0d25106ff320c496c5"></a><!-- doxytag: member="tivx_obj_desc_array_t::num_items" ref="a45cce059f24e4d0d25106ff320c496c5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__array__t.html#a45cce059f24e4d0d25106ff320c496c5">tivx_obj_desc_array_t::num_items</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>number of valid items in array </p>

</div>
</div>
<a class="anchor" id="a99f172ab949e0d5ecc2829efc60d7942"></a><!-- doxytag: member="tivx_obj_desc_array_t::capacity" ref="a99f172ab949e0d5ecc2829efc60d7942" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__array__t.html#a99f172ab949e0d5ecc2829efc60d7942">tivx_obj_desc_array_t::capacity</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Max size of the array. </p>

</div>
</div>
<a class="anchor" id="a10cd791f609de1803bc2acb669880bfe"></a><!-- doxytag: member="tivx_obj_desc_array_t::mem_size" ref="a10cd791f609de1803bc2acb669880bfe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t <a class="el" href="structtivx__obj__desc__array__t.html#a10cd791f609de1803bc2acb669880bfe">tivx_obj_desc_array_t::mem_size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>size of buffer pointed to by mem_ptr </p>

</div>
</div>
<a class="anchor" id="a45d5d522c10966b8263517901258b438"></a><!-- doxytag: member="tivx_obj_desc_array_t::mem_ptr" ref="a45d5d522c10966b8263517901258b438" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__shared__mem__ptr__t.html">tivx_shared_mem_ptr_t</a> <a class="el" href="structtivx__obj__desc__array__t.html#a45d5d522c10966b8263517901258b438">tivx_obj_desc_array_t::mem_ptr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>matrix memory address </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
